Subject: Re: linux-next: manual merge of the hmm tree with the drm tree

From: Jason Gunthorpe <[email-masked]>
Date: Mon, 3 Aug 2020 20:34:26 -0300

On Tue, Aug 04, 2020 at 09:29:30AM +1000, Ben Skeggs wrote:
> On Tue, Aug 4, 2020 at 9:19 AM Jason Gunthorpe <[email-masked]> wrote:
> >
> > On Thu, Jul 30, 2020 at 10:31:45AM -0700, Ralph Campbell wrote:
> > >
> > > On 7/30/20 5:03 AM, Jason Gunthorpe wrote:
> > > > On Thu, Jul 30, 2020 at 07:21:10PM +1000, Stephen Rothwell wrote:
> > > > > Hi all,
> > > > >
> > > > > Today's linux-next merge of the hmm tree got a conflict in:
> > > > >
> > > > >    drivers/gpu/drm/nouveau/nvkm/subdev/mmu/vmmgp100.c
> > > > >
> > > > > between commit:
> > > > >
> > > > >    7763d24f3ba0 ("drm/nouveau/vmm/gp100-: fix mapping 2MB sysmem pages")
> > > > >
> > > > > from the drm tree and commits:
> > > > >
> > > > >    4725c6b82a48 ("nouveau: fix mapping 2MB sysmem pages")
> > > > >    1a77decd0cae ("nouveau: fix storing invalid ptes")
> > > > >
> > > > > from the hmm tree.
> > > > >
> > > > > 7763d24f3ba0 and 4725c6b82a48 are exactly the same patch.
> > > >
> > > > Oh? Ralph? What happened here?
> > >
> > > Ben did email me saying he was planning to take this patch into
> > > his nouveau tree and I did reply to him saying you had also taken it
> > > into your tree and that I had more nouveau/SVM patches for you on the way.
> > > So, I'm not sure what happened.
> >
> > Well no answer from Ben and it looks like it is in the main DRM tree,
> > so I will drop the 4725c6b82a48 patch from hmm.
> My apologies, both for this slipping past me, and for the trouble.  I
> did mean to drop that patch from my tree before sending it on to Dave.

No worries, it looks like I can't drop it anyhow as the later
1a77decd0cae really does thoroughly depend on it. :(

Thanks!
Jason